Ultrasound Form: childpid's == matpids
Status: Closed Start date: 19/06/2024

Priority: Normal Due date: 24/06/2024

Assignee: Ame Diphoko % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Issue

In the Flourish Caregiver > Ultrasound Form csv export there is a variable for `childpid` which corresponds to "Associated Child Identifier:"

field in the CRF on the EDC.

For eight records (eight unique matpids), the value for childpid  value for matpid.

Python code that should replicate the problem:

# assuming `ultrasound_df` is a pandas dataframe with the raw, ultrasound form data

ultrasound_df = pd.read_csv("PATH_TO_CSV_EXPORT")

ultrasound_issue_records = ultrasound_df.copy()[ultrasound_df["matpid"] == ultrasound_df["childpid"]]

print(ultrasound_issue_records)

Attachments:

8 records from ultrasound form data where matpid  childpid

!!Important!!

Please confirm with kate, debbie, and sara directly that this `childpid` field is auto-populating with childpid and is not being manually

entered

History

#1 - 24/06/2024 11:46 - Ame Diphoko

- Due date set to 24/06/2024

- Assignee set to Ame Diphoko

#2 - 24/06/2024 13:17 - Ame Diphoko

- Status changed from New to Resolved

#3 - 26/06/2024 18:42 - Debbie Bitran

Pulled UltraSound csv from test server.

All values/records were FALSE for `childpid == matpid`.

Issue resolved and can be closed.

Please close issue I cannot alter the status on the ticket form.
thanks so much!

#4 - 08/07/2024 08:33 - Ame Diphoko

- Status changed from Resolved to Closed

Files

issue_19_ultrasound_childpid_equals_matpid.csv 1.85 KB 19/06/2024 Debbie Bitran
